Index: chapter06/autoconf.xml
===================================================================
--- chapter06/autoconf.xml	(revision ce07064f175bca3b3d9ee5ac72d6187cf524b2f6)
+++ chapter06/autoconf.xml	(revision 6bf9d727f0ca016ec348a8eba3482e1be034801c)
@@ -54,8 +54,8 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
-    <para>This takes a long time, about 4.7 SBUs. In addition, 6 tests are skipped
-    that use Automake. For full test coverage, Autoconf can be re-tested
-    after Automake has been installed.  In addition, two tests fail due to
-    changes in libtool-2.4.3 and later.</para>
+    <para>This takes a long time, about &autoconf-ch6-sbu; SBUs. In addition,
+    several tests are skipped that use Automake. For full test coverage,
+    Autoconf can be re-tested after Automake has been installed.  In addition,
+    two fail due to changes in libtool-2.4.3 and later.</para>
 
     <para>Install the package:</para>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision ce07064f175bca3b3d9ee5ac72d6187cf524b2f6)
+++ chapter06/binutils.xml	(revision 6bf9d727f0ca016ec348a8eba3482e1be034801c)
@@ -109,4 +109,6 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
+    <para>The test 'Link with zlib-gabi compressed debug output' is known to fail.</para>
+
     <para>Install the package:</para>
 
Index: chapter06/gettext.xml
===================================================================
--- chapter06/gettext.xml	(revision ce07064f175bca3b3d9ee5ac72d6187cf524b2f6)
+++ chapter06/gettext.xml	(revision 6bf9d727f0ca016ec348a8eba3482e1be034801c)
@@ -58,4 +58,6 @@
 
 <screen><userinput remap="test">make check</userinput></screen>
+
+    <para>Nine tests fail due to missing dependencies.</para>
 
     <para>Install the package:</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision ce07064f175bca3b3d9ee5ac72d6187cf524b2f6)
+++ chapter06/glibc.xml	(revision 6bf9d727f0ca016ec348a8eba3482e1be034801c)
@@ -118,5 +118,5 @@
 
       <listitem>
-        <para>The <emphasis>tst/tst-cputimer1</emphasis> and 
+        <para>The <emphasis>rt/tst-cputimer1</emphasis> and 
         <emphasis>rt/tst-cpuclock2</emphasis> tests have been known to
         fail.  The reason is not completely understood, but indications are
Index: packages.ent
===================================================================
--- packages.ent	(revision ce07064f175bca3b3d9ee5ac72d6187cf524b2f6)
+++ packages.ent	(revision 6bf9d727f0ca016ec348a8eba3482e1be034801c)
@@ -29,5 +29,5 @@
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-ch6-du "17.3 MB">
-<!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about 4.7 SBU with tests)">
+<!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about 3.6 SBU with tests)">
 
 <!ENTITY automake-version "1.15">
@@ -37,6 +37,6 @@
 <!ENTITY automake-md5 "9a1ddb0e053474d9d1105cfe39b0c48d">
 <!ENTITY automake-home "&gnu-software;automake/">
-<!ENTITY automake-ch6-du "106 MB">
-<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 9.2 SBU with tests)">
+<!ENTITY automake-ch6-du "108 MB">
+<!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.3 SBU with tests)">
 
 <!ENTITY bash-version "4.3.30">
@@ -48,5 +48,5 @@
 <!ENTITY bash-ch5-sbu "0.4 SBU">
 <!ENTITY bash-ch6-du "49 MB">
-<!ENTITY bash-ch6-sbu "2.1 SBU">
+<!ENTITY bash-ch6-sbu "1.9 SBU">
 
 <!ENTITY bc-version "1.06.95">
@@ -56,5 +56,5 @@
 <!ENTITY bc-home "&gnu-software;bc/">
 <!ENTITY bc-ch6-du "3.6 MB">
-<!ENTITY bc-ch6-sbu "0.2 SBU">
+<!ENTITY bc-ch6-sbu "0.1 SBU">
 
 <!ENTITY binutils-version "2.26">
@@ -65,8 +65,8 @@
 <!ENTITY binutils-ch5p1-du "489 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
-<!ENTITY binutils-ch5p2-du "505 MB">
+<!ENTITY binutils-ch5p2-du "536 MB">
 <!ENTITY binutils-ch5p2-sbu "1.1 SBU">
-<!ENTITY binutils-ch6-du "447 MB">
-<!ENTITY binutils-ch6-sbu "2.3 SBU">
+<!ENTITY binutils-ch6-du "475 MB">
+<!ENTITY binutils-ch6-sbu "2.4 SBU">
 
 <!ENTITY bison-version "3.0.4">
@@ -75,6 +75,6 @@
 <!ENTITY bison-md5 "c342201de104cc9ce0a21e0ad10d4021">
 <!ENTITY bison-home "&gnu-software;bison/">
-<!ENTITY bison-ch6-du "36 MB">
-<!ENTITY bison-ch6-sbu "2.6 SBU">
+<!ENTITY bison-ch6-du "33 MB">
+<!ENTITY bison-ch6-sbu "0.3 SBU">
 
 <!ENTITY bzip2-version "1.0.6">
@@ -85,5 +85,5 @@
 <!ENTITY bzip2-ch5-du "5.6 MB">
 <!ENTITY bzip2-ch5-sbu "less than 0.1 SBU">
-<!ENTITY bzip2-ch6-du "6.9 MB">
+<!ENTITY bzip2-ch6-du "4.9 MB">
 <!ENTITY bzip2-ch6-sbu "less than 0.1 SBU">
 
@@ -101,8 +101,8 @@
 <!ENTITY coreutils-md5 "070e43ba7f618d747414ef56ab248a48">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
-<!ENTITY coreutils-ch5-du "132 MB">
-<!ENTITY coreutils-ch5-sbu "0.7 SBU">
-<!ENTITY coreutils-ch6-du "165 MB">
-<!ENTITY coreutils-ch6-sbu "4.6 SBU">
+<!ENTITY coreutils-ch5-du "134 MB">
+<!ENTITY coreutils-ch5-sbu "0.6 SBU">
+<!ENTITY coreutils-ch6-du "168 MB">
+<!ENTITY coreutils-ch6-sbu "2.6 SBU">
 
 <!ENTITY dejagnu-version "1.5.3">
@@ -119,8 +119,8 @@
 <!ENTITY diffutils-md5 "99180208ec2a82ce71f55b0d7389f1b3">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
-<!ENTITY diffutils-ch5-du "20 MB">
+<!ENTITY diffutils-ch5-du "19.5 MB">
 <!ENTITY diffutils-ch5-sbu "0.2 SBU">
 <!ENTITY diffutils-ch6-du "28 MB">
-<!ENTITY diffutils-ch6-sbu "0.5 SBU">
+<!ENTITY diffutils-ch6-sbu "0.4 SBU">
 
 <!-- NOTE: When updating e2fsprogs, remember to check the list
@@ -133,5 +133,5 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "48 MB">
-<!ENTITY e2fsprogs-ch6-sbu "2.9 SBU">
+<!ENTITY e2fsprogs-ch6-sbu "2.7 SBU">
 
 <!ENTITY eudev-version "3.1.5">
@@ -139,6 +139,6 @@
 <!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
 <!ENTITY eudev-md5 "c4dace42deecede102b6c01904042acc">
-<!ENTITY eudev-ch6-du "82 MB">
-<!ENTITY eudev-ch6-sbu "0.3 SBU">
+<!ENTITY eudev-ch6-du "79 MB">
+<!ENTITY eudev-ch6-sbu "0.2 SBU">
 
 <!ENTITY expat-version "2.1.0">
@@ -174,8 +174,8 @@
 <!ENTITY findutils-md5 "9936aa8009438ce185bea2694a997fc1">
 <!ENTITY findutils-home "&gnu-software;findutils/">
-<!ENTITY findutils-ch5-du "26 MB">
-<!ENTITY findutils-ch5-sbu "0.2 SBU">
-<!ENTITY findutils-ch6-du "28 MB">
-<!ENTITY findutils-ch6-sbu "0.4 SBU">
+<!ENTITY findutils-ch5-du "36 MB">
+<!ENTITY findutils-ch5-sbu "0.3 SBU">
+<!ENTITY findutils-ch6-du "49 MB">
+<!ENTITY findutils-ch6-sbu "1.6 SBU">
 
 <!ENTITY flex-version "2.6.0">
@@ -184,5 +184,5 @@
 <!ENTITY flex-md5 "3cbbfa1554d0b75fad9f8100732454de">
 <!ENTITY flex-home "http://flex.sourceforge.net">
-<!ENTITY flex-ch6-du "37 MB">
+<!ENTITY flex-ch6-du "33 MB">
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
@@ -203,11 +203,11 @@
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.4 GB">
-<!ENTITY gcc-ch5p1-sbu "8.5 SBU">
+<!ENTITY gcc-ch5p1-sbu "7.7 SBU">
 <!ENTITY gcc-ch5p2-du "2.8 GB">
 <!ENTITY gcc-ch5p2-sbu "10.8 SBU">
 <!ENTITY gcc-ch6-du "3.2 GB ">
-<!ENTITY gcc-ch6-sbu "82 SBU (with tests)">
-
-<!ENTITY libstdcpp-ch5-du "845 MB">
+<!ENTITY gcc-ch6-sbu "76 SBU (with tests)">
+
+<!ENTITY libstdcpp-ch5-du "536 MB">
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
@@ -225,8 +225,8 @@
 <!ENTITY gettext-md5 "f81e50556da41b44c1d59ac93474dca5">
 <!ENTITY gettext-home "&gnu-software;gettext/">
-<!ENTITY gettext-ch5-du "152 MB">
+<!ENTITY gettext-ch5-du "169 MB">
 <!ENTITY gettext-ch5-sbu "0.9 SBU">
-<!ENTITY gettext-ch6-du "190 MB">
-<!ENTITY gettext-ch6-sbu "7.8 SBU">
+<!ENTITY gettext-ch6-du "202 MB">
+<!ENTITY gettext-ch6-sbu "3.3 SBU">
 
 <!ENTITY glibc-version "2.22">
@@ -235,8 +235,8 @@
 <!ENTITY glibc-md5 "e51e02bf552a0a1fbbdc948fb2f5e83c">
 <!ENTITY glibc-home "&gnu-software;libc/">
-<!ENTITY glibc-ch5-du "652 MB">
-<!ENTITY glibc-ch5-sbu "4.5 SBU">
+<!ENTITY glibc-ch5-du "650 MB">
+<!ENTITY glibc-ch5-sbu "4.0 SBU">
 <!ENTITY glibc-ch6-du "1.1 GB">
-<!ENTITY glibc-ch6-sbu "17.4 SBU">
+<!ENTITY glibc-ch6-sbu "16.4 SBU">
 
 <!ENTITY gmp-version "6.1.0">
@@ -246,6 +246,6 @@
 <!ENTITY gmp-md5 "a9868ef2556ad6a2909babcd1428f3c7">
 <!ENTITY gmp-home "&gnu-software;gmp/">
-<!ENTITY gmp-ch6-du "56 MB">
-<!ENTITY gmp-ch6-sbu "1.2 SBU">
+<!ENTITY gmp-ch6-du "46 MB">
+<!ENTITY gmp-ch6-sbu "1.3 SBU">
 
 <!ENTITY gperf-version "3.0.4">
@@ -262,7 +262,7 @@
 <!ENTITY grep-md5 "f46aa9d0d2577b9212a104348a286787">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "28.5 MB">
+<!ENTITY grep-ch5-du "18.9 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "28 MB">
+<!ENTITY grep-ch6-du "29 MB">
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
@@ -281,5 +281,5 @@
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-ch6-du "140 MB">
-<!ENTITY grub-ch6-sbu "0.9 SBU">
+<!ENTITY grub-ch6-sbu "0.8 SBU">
 
 <!ENTITY gzip-version "1.6">
@@ -298,5 +298,5 @@
 <!ENTITY iana-etc-md5 "3ba3afb1d1b261383d247f46cb135ee8">
 <!ENTITY iana-etc-home "http://freecode.com/projects/iana-etc">
-<!ENTITY iana-etc-ch6-du "2.2 MB">
+<!ENTITY iana-etc-ch6-du "2.3 MB">
 <!ENTITY iana-etc-ch6-sbu "less than 0.1 SBU">
 
@@ -322,5 +322,5 @@
 <!ENTITY iproute2-md5 "d762653ec3e1ab0d4a9689e169ca184f">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
-<!ENTITY iproute2-ch6-du "9.4 MB">
+<!ENTITY iproute2-ch6-du "9.8 MB">
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
@@ -346,5 +346,5 @@
 <!ENTITY less-md5 "50ef46065c65257141a7340123527767">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
-<!ENTITY less-ch6-du "3.6 MB">
+<!ENTITY less-ch6-du "3.7 MB">
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
@@ -379,5 +379,5 @@
 <!ENTITY libtool-home "&gnu-software;libtool/">
 <!ENTITY libtool-ch6-du "44 MB">
-<!ENTITY libtool-ch6-sbu "2.2 SBU">
+<!ENTITY libtool-ch6-sbu "2.0 SBU">
 
 <!ENTITY linux-major-version "4">
@@ -396,7 +396,7 @@
 <!ENTITY linux-ch8-sbu "3.0 - 49.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "699 MB">
+<!ENTITY linux-headers-ch5-du "718 MB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "704 MB">
+<!ENTITY linux-headers-ch6-du "723 MB">
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
 
@@ -408,5 +408,5 @@
 <!ENTITY m4-ch5-du "18.6 MB">
 <!ENTITY m4-ch5-sbu "0.2 SBU">
-<!ENTITY m4-ch6-du "35 MB">
+<!ENTITY m4-ch6-du "30 MB">
 <!ENTITY m4-ch6-sbu "0.4 SBU">
 
@@ -442,6 +442,6 @@
 <!ENTITY mpc-md5 "d6a1d5f8ddea3abd2cc3e98f58352d26">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
-<!ENTITY mpc-ch6-du "17.6 MB">
-<!ENTITY mpc-ch6-sbu "0.4 SBU">
+<!ENTITY mpc-ch6-du "17.5 MB">
+<!ENTITY mpc-ch6-sbu "0.3 SBU">
 
 <!ENTITY mpfr-version "3.1.3">
@@ -459,5 +459,5 @@
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
 <!ENTITY ncurses-ch5-du "38 MB">
-<!ENTITY ncurses-ch5-sbu "0.6 SBU">
+<!ENTITY ncurses-ch5-sbu "0.5 SBU">
 <!ENTITY ncurses-ch6-du "39 MB">
 <!ENTITY ncurses-ch6-sbu "0.4 SBU">
@@ -479,7 +479,7 @@
 <!ENTITY perl-home "http://www.perl.org/">
 <!ENTITY perl-ch5-du "239 MB">
-<!ENTITY perl-ch5-sbu "1.4 SBU">
+<!ENTITY perl-ch5-sbu "1.3 SBU">
 <!ENTITY perl-ch6-du "238 MB">
-<!ENTITY perl-ch6-sbu "6.9 SBU">
+<!ENTITY perl-ch6-sbu "6.3 SBU">
 
 <!ENTITY pkgconfig-version "0.29">
@@ -497,5 +497,5 @@
 <!ENTITY procps-ng-home "http://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-ch6-du "14.5 MB">
-<!ENTITY procps-ng-ch6-sbu "0.2 SBU">
+<!ENTITY procps-ng-ch6-sbu "0.1 SBU">
 
 <!ENTITY psmisc-version "22.21">
@@ -554,8 +554,8 @@
 <!ENTITY tar-md5 "49b6306167724fe48f419a33a5beb857">
 <!ENTITY tar-home "&gnu-software;tar/">
-<!ENTITY tar-ch5-du "33 MB">
-<!ENTITY tar-ch5-sbu "0.4 SBU">
+<!ENTITY tar-ch5-du "32 MB">
+<!ENTITY tar-ch5-sbu "0.3 SBU">
 <!ENTITY tar-ch6-du "39 MB">
-<!ENTITY tar-ch6-sbu "2.5 SBU">
+<!ENTITY tar-ch6-sbu "2.3 SBU">
 
 <!ENTITY tcl-version "8.6.4">
@@ -566,5 +566,5 @@
 <!ENTITY tcl-home "http://tcl.sourceforge.net/">
 <!ENTITY tcl-ch5-du "40 MB">
-<!ENTITY tcl-ch5-sbu "0.5 SBU">
+<!ENTITY tcl-ch5-sbu "0.4 SBU">
 
 <!ENTITY texinfo-version "6.1">
@@ -573,8 +573,8 @@
 <!ENTITY texinfo-md5 "1d7ec1888fae00730693597852b00cde">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
-<!ENTITY texinfo-ch5-du "97 MB">
+<!ENTITY texinfo-ch5-du "99 MB">
 <!ENTITY texinfo-ch5-sbu "0.2 SBU">
-<!ENTITY texinfo-ch6-du "105 MB">
-<!ENTITY texinfo-ch6-sbu "0.6 SBU">
+<!ENTITY texinfo-ch6-du "109 MB">
+<!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
 <!ENTITY tzdata-version "2016a">
@@ -598,5 +598,5 @@
 <!ENTITY util-linux-ch5-sbu "0.7 SBU">
 <!ENTITY util-linux-ch6-du "137 MB">
-<!ENTITY util-linux-ch6-sbu "0.8 SBU">
+<!ENTITY util-linux-ch6-sbu "0.7 SBU">
 
 <!ENTITY vim-version "7.4">
@@ -607,5 +607,5 @@
 <!ENTITY vim-home "http://www.vim.org">
 <!ENTITY vim-ch6-du "111 MB">
-<!ENTITY vim-ch6-sbu "1.1 SBU">
+<!ENTITY vim-ch6-sbu "1.0 SBU">
 
 <!ENTITY xml-parser-version "2.44">
@@ -623,7 +623,7 @@
 <!ENTITY xz-home "http://tukaani.org/xz">
 <!ENTITY xz-ch5-du "17.6 MB">
-<!ENTITY xz-ch5-sbu "0.3 SBU">
+<!ENTITY xz-ch5-sbu "0.2 SBU">
 <!ENTITY xz-ch6-du "15.1 MB">
-<!ENTITY xz-ch6-sbu "0.3 SBU">
+<!ENTITY xz-ch6-sbu "0.2 SBU">
 
 <!ENTITY zlib-version "1.2.8">
